FlxpointAPI Help CenterBeta

Get Channels

gethttps://api.flxpoint.com/channel/

Use this when you want to pull channel data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Get all channels configured on the account. This endpoint requires an account level API token.

Request

Query parameters
  • includeIntegrationsqueryboolean

    Set this to `true` to return back the `integrations` on the Channel

  • includeArchivedqueryboolean

    Set this to `true` to also return back channels that have been archived. By default these are excluded in the response.

Example request

get/channel/
curl -X GET "https://api.flxpoint.com/channel/" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[Channel]
idinteger
Channel ID
namestring
Channel Name
descriptionstring
Channel Description
insertedAtstring (date-time)
updatedAtstring (date-time)
channelTypestring
A string handle indicating the type of the Channel. Options are Sales Channel ("Custom") or Reseller (formerly known as "Dealer").
allowedflxpoint.api.customflxpoint.api.dealers
accountIdinteger
primaryboolean
channelInvoiceReceiptOptionIdinteger
invoiceReceiptAccountCustomAlertIdinteger
paymentCollectionboolean
default true
channelInvoiceDefaultStatusPaymentStatus
allowedNot AuthorizedAuthorizedPaidDeferredRefundedCreditedAwaiting ClearanceDeclinedRefund PendingRefund Failed
channelInvoiceCcstring
pricingWorkflowEventIdinteger
The ID of the Listing Price & Quantity Workflow for the Channel.
archivedAtstring (date-time)
autoGeneratePoOnImportboolean
A setting that enables auto-generation of PO/FRs upon Order Import from the Channel.
default false
listingStatusWorkflowEventIdinteger
The ID of the Listing Status Workflow for the Channel.
allowBackorderboolean
allowDealersboolean
listingBuilderMappingTemplateIdinteger
inStoreOrderboolean
integrationsarray[any]
listPriceProtectionboolean
Indicates whether price protection is applied to the listing. When true, the listing will not be eligible to sync to channels because either the price is below or equal to cost, the cost is missing, or the listing has no linked inventories.
Example response
[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "insertedAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "channelType": "flxpoint.api.custom",
    "accountId": 0,
    "primary": true,
    "channelInvoiceReceiptOptionId": 0,
    "invoiceReceiptAccountCustomAlertId": 0,
    "paymentCollection": true,
    "channelInvoiceDefaultStatus": "Not Authorized",
    "channelInvoiceCc": "string",
    "pricingWorkflowEventId": 0,
    "archivedAt": "2026-04-20T00:00:00Z",
    "autoGeneratePoOnImport": true,
    "listingStatusWorkflowEventId": 0,
    "allowBackorder": true,
    "allowDealers": true,
    "listingBuilderMappingTemplateId": 0,
    "inStoreOrder": true,
    "integrations": [
      null
    ],
    "listPriceProtection": true
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Channels",
    "description": "Get all channels configured on the account.\nThis endpoint requires an account level API token.",
    "parameters": [
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeIntegrations",
        "description": "Set this to `true` to return back the `integrations` on the Channel"
      },
      {
        "schema": {
          "type": "boolean",
          "default": false
        },
        "in": "query",
        "name": "includeArchived",
        "description": "Set this to `true` to also return back channels that have been archived. By default these are excluded in the response."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Channel"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight